Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::unsupported_file_format_error Struct Reference

`#include <error.hpp>`

Inheritance diagram for osmium::unsupported_file_format_error:
[legend]
Collaboration diagram for osmium::unsupported_file_format_error:
[legend]

## Public Member Functions
| unsupported_file_format_error (const std::string &what)
| unsupported_file_format_error (const char *what)
Public Member Functions inherited from osmium::io_error
| io_error (const std::string &what)
| io_error (const char *what)

## Constructor & Destructor Documentation

## ◆ unsupported_file_format_error() [1/2]

osmium::unsupported_file_format_error::unsupported_file_format_error | ( | const std::string & | what | ) |
| inline explicit

## ◆ unsupported_file_format_error() [2/2]

osmium::unsupported_file_format_error::unsupported_file_format_error | ( | const char * | what | ) |
| inline explicit

The documentation for this struct was generated from the following file:

- include/osmium/io/error.hpp